body {
  background-color: rgb(255, 255, 255);
  transition: background-color 0.5s;
  display: flex;
  justify-content: center;
  align-items: center;
  /* background-image: url("https://source.unsplash.com/Qrspubmx6kE/"); 
   */
   background-image: linear-gradient(rgba(207, 41, 41, 0.5), rgba(165, 112, 112, 0.5)), url("https://source.unsplash.com/Qrspubmx6kE/");
  height: 100vh;
  background-repeat: no-repeat;
  background-size: cover;
  /* font: 1em sans-serif; */
}

.player {
  margin-top: 2%;
  height: 90vh;
  width: 27%;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  border-radius: 10px;
  box-shadow: 0px 10px 10px 10px rgba(0, 0, 0, 0.418);
  background-color: rgba(49, 231, 222, 0.945);
}

.details {
  /* background-color: aqua; */
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  margin-top: 25px;
}

.track-art img {
  margin: 25px;
  height: 200px;
  width: 200px;
  /**/
  background-size: cover;
  box-shadow: 0px 10px 10px 10px rgba(0, 0, 0, 0.418);
  background-position: center;
  border-radius: 50%;
}

.now-playing {
  font-size: 1rem;
}

.track-name {
  font-size: 3rem;
}

.track-artist {
  font-size: 1.5rem;
}

.buttons {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.playpause-track,
.prev-track,
.next-track {
  padding: 25px;
  opacity: 0.8;
  transition: opacity 0.2s;
}

.playpause-track:hover,
.prev-track:hover,
.next-track:hover {
  opacity: 1.0;
}

.slider_container {
  width: 75%;
  max-width: 400px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.seek_slider,
.volume_slider {
  /* -webkit-appearance: none; */

  appearance: none;
  width: 100%;
  height: 5px;
  border-radius: 5px;
  background: #d3d3d3;
  opacity: 0.7;
  transition: opacity 0.2s;
}

.seek_slider::-webkit-slider-thumb,
.volume_slider::-webkit-slider-thumb {
  appearance: none;
  width: 15px;
  height: 15px;
  background: rgb(255, 0, 179);
  cursor: pointer;
  border-radius: 50%;
}

.seek_slider:hover,
.volume_slider:hover {
  opacity: 1.0;
}

.seek_slider {
  width: 60%;
}

.volume_slider {
  width: 30%;
}

.current-time,
.total-duration {
  padding: 10px;
}
i{
  color: rgb(255, 19, 129);
}
i.fa-volume-down,
i.fa-volume-up {
  padding: 10px;
}

i.fa-play-circle,
i.fa-pause-circle,
i.fa-step-forward,
i.fa-step-backward {
  cursor: pointer;
}


@media screen and (max-width: 768px) {
  .player {
    width: 90%;
  }
  .track-art img {
    height: 200px;
    width: 200px;
  }
  .track-name {
    font-size: 2rem;
  }
  .track-artist {
    font-size: 1.2rem;
  }
  .now-playing {
    font-size: 0.8rem;
  }
  .buttons {
    padding: 10px;
  }
  .playpause-track,
  .prev-track,
  .next-track {
    padding: 10px;
  }
  .seek_slider,
  .volume_slider {
    height: 3px;
  }
  .current-time,
  .total-duration {
    padding: 5px;
  }
  i.fa-play-circle,
  i.fa-pause-circle,
  i.fa-step-forward,
  i.fa-step-backward {
    font-size: 2rem;
  }
  i.fa-volume-down,
  i.fa-volume-up {
    padding: 5px;
  }
  
}
